Bug 243508 - [panic] Unhandled EL1 data abort: 10 -- in AcpiExSystemMemorySpaceHandler
Summary: [panic] Unhandled EL1 data abort: 10 -- in AcpiExSystemMemorySpaceHandler
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: arm (show other bugs)
Version: CURRENT
Hardware: arm64 Any
: --- Affects Only Me
Assignee: freebsd-arm mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-22 11:23 UTC by Dave Cottlehuber
Modified: 2020-01-27 07:53 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2020-01-22 11:23:02 UTC
>>Checking Media Presence......
>>No Media Present......Checkpoint D9
ERROR: Boot option loading failed
Checkpoint AD
Consoles: EFI console  
    Reading loader env vars from /efi/freebsd/loader.env
Setting currdev to disk0p1:
FreeBSD/arm64 EFI loader, Revision 1.1
(Thu Jan 16 03:35:58 UTC 2020 root@releng1.nyi.freebsd.org)

   Command line arguments: loader.efi
   Image base: 0x9ff34c4000
   EFI version: 2.60
   EFI Firmware: American Megatrends (rev 5.13)
   Console: efi (0x20000000)
   Load Path: \EFI\BOOT\BOOTAA64.EFI
   Load Device: PciRoot(0xFF)/Pci(0x1,0x0)/Sata(0x0,0xFFFF,0x0)/HD(1,GPT,2E974FB9-639C-4174-ADE0-872CD60322A4,0x800,0xFA000)
   BootCurrent: 0005
   BootOrder: 0001 0002 0003 0005[*] 0004
   BootInfo Path: HD(1,GPT,2E974FB9-639C-4174-ADE0-872CD60322A4,0x800,0xFA000)/\EFI\BOOT\BOOTAA64.EFI
Ignoring Boot0005: Only one DP found
Trying ESP: PciRoot(0xFF)/Pci(0x1,0x0)/Sata(0x0,0xFFFF,0x0)/HD(1,GPT,2E974FB9-639C-4174-ADE0-872CD60322A4,0x800,0xFA000)
Setting currdev to disk0p1:
Trying: PciRoot(0xFF)/Pci(0x1,0x0)/Sata(0x0,0xFFFF,0x0)/HD(2,GPT,79C2263F-554C-4EF6-81AF-AE1E8AD877AF,0xFA800,0x8F1506)
Setting currdev to zfs:zroot/ROOT/default:
Loading /boot/defaults/loader.conf
Loading /boot/device.hints
Loading /boot/loader.conf
Loading /boot/loader.conf.local
Loading kernel...
/boot/kernel/kernel text=0x987ddc data=0x1905a8 data=0x0+0x79d260 syms=[0x8+0x10bd20+0x8+0x130451]
Loading configured modules...
/boot/kernel/zfs.ko text=0xa3e40 text=0x14cb60 data=0x17f10+0x91170 syms=[0x8+0x26040+0x8+0x1fc2a]
/boot/kernel/opensolaris.ko text=0x12ed text=0xc40 data=0x440+0x6830 syms=[0x8+0xfc0+0x8+0x894]
/boot/kernel/tmpfs.ko text=0x3ee6 text=0x8890 data=0x1048+0x18 syms=[0x8+0x1dd0+0x8+0x12bd]
/boot/kernel/xz.ko text=0x850 text=0x22c0 data=0x268+0x400 syms=[0x8+0x870+0x8+0x417]
/boot/kernel/linuxkpi.ko text=0x6c6d text=0x11360 data=0x1788+0x6c8 syms=[0x8+0x5508+0x8+0x3b26]
can't find '/boot/entropy'
/boot/kernel/mlxfw.ko text=0xed2 text=0x16f0 data=0x258 syms=[0x8+0x750+0x8+0x409]
/boot/kernel/mlx5en.ko text=0x1982a text=0x10fb0 data=0x2670+0x8 syms=[0x8+0x3198+0x8+0x2078]
/boot/kernel/mlx5.ko text=0xabe9 t1ff60 data=0x19f0+0x94 syms=[0x8+0x4bc0+0x8+0x381f]

Hit [Enter] to boot immediately, or any other key for command prompt.
Booting [/boot/kernel/kernel]...               
No valid device tree blob found!
WARNING! Trying to fire up the kernel, but no device tree blob found!
EFI framebuffer information:
addr, size     0x430000000, 0x300000
dimensions     1024 x 768
stride         1024
masks          0x00ff0000, 0x0000ff00, 0x000000ff, 0xff000000
---<<BOOT>>---
KDB: debugger backends: ddb
KDB: current backend: ddb
Copyright (c) 1992-2020 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 13.0-CURRENT #0 r356767: Thu Jan 16 04:25:34 UTC 2020
    root@releng1.nyi.freebsd.org:/usr/obj/usr/src/arm64.aarch64/sys/GENERIC arm64
FreeBSD clang version 9.0.1 (git@github.com:llvm/llvm-project.git c1a0a213378a458fbea1a5c77b315c7dce08fd05) (based on LLVM 9.0.1)
WARNING: WITNESS option enabled, expect reduced performance.
VT(efifb): resolution 1024x768
module firmware already present!
Starting CPU 1 (1)
Starting CPU 2 (100)
Starting CPU 3 (101)
Starting CPU 4 (200)
Starting CPU 5 (201)
Starting CPU 6 (300)
Starting CPU 7 (301)
Starting CPU 8 (400)
Starting CPU 9 (401)
Starting CPU 10 (500)
Starting CPU 11 (501)
Starting CPU 12 (600)
Starting CPU 13 (601)
Starting CPU 14 (700)
Starting CPU 15 (701)
Starting CPU 16 (800)
Starting CPU 17 (801)
Starting CPU 18 (900)
Starting CPU 19 (901)
Starting CPU 20 (a00)
Starting CPU 21 (a01)
Starting CPU 22 (b00)
Starting CPU 23 (b01)
Starting CPU 24 (c00)
Starting CPU 25 (c01)
Starting CPU 26 (d00)
Starting CPU 27 (d01)
Starting CPU 28 (e00)
Starting CPU 29 (e01)
Starting CPU 30 (f00)
Starting CPU 31 (f01)
FreeBSD/SMP: Multiprocessor System Detected: 32 CPUs
arc4random: WARNING: initial seeding bypassed the cryptographic random device because it was not yet seeded and the knob 'bypass_before_seeding' was enabled.
random: entropy device external interface
MAP 92000000 mode 2 pages 2304
MAP fffc0000 mode 2 pages 64
MAP 9ff1f10000 mode 2 pages 112
MAP 9ff3450000 mges 16
MAP 9ff3610000 mode 2 pages 336
MAP 9ff8350000 mode 2 pages 1216
MAP 9ff9510000 mode 2 pages 48
MAP 9ffc600000 mode 2 pages 16
MAP 9ffc760000 mode 2 pages 16
MAP 9ffc820000 mode 2 pages 64
MAP 9ffc8a0000 mode 2 pages 96
MAP 9ffc900000 mode 2 pages 32
MAP 9ffc9b0000 mode 2 pages 32
MAP 9ffca00000 mode 2 pages 128
MAP 9ffcac0000 mode 2 pages 16
MAP 9ffcae0000 mode 2 pages 16
MAP 9ffcbc0000 mode 2 pages 48
MAP 9ffcbf0000 mode 2 pages 80
MAP 9ffcc40000 mode 2 pages 1216
MAP 9ffd100000 mode 2 pages 96
MAP 9ffd160000 mode 2 pages 4112
MAP 9ffe170000 mode 2 pages 16
MAP 9fffd20000 mode 2 pages 32
MAP 9fffd40000 mode 2 pages 48
MAP 10540000 mode 0 pages 16
WARNING: Device "kbd" is Giant locked and may be deleted before FreeBSD 13.0.
kbd0 at kbdmux0
WARNING: Device "openfirm" is Giant locked and may be deleted before FreeBSD 13.0.
mlx5en: Mellanox Ethernet driver 3.5.2 (September 2019)
efirtc0: <EFI Realtime Clock>
efirtc0: registered as a time-of-day clock, resolution 1.000000s
acpi0: <ALASKA A M I >
panic: Unhandled EL1 data abort: 10
cpuid = 0
time = 1
KDB: stack backtrace:
db_trace_self() at db_trace_self_wrapper+0x28
	 pc = 0xffff000000738d4c  lr = 0xffff000000106814
	 sp = 0xffff00000000fca0  fp = 0xffff00000000feb0

db_trace_self_wrapper() at vpanic+0x194
	 pc = 0xffff000000106814  lr = 0xffff0000004094e4
	 sp = 0xffff00000000fec0  fp = 0xffff00000000ff70

vpanic() at panic+0x44
	 pc = 0xffff0000004094e4  lr = 0xffff00000040928c
	 sp = 0xffff00000000ff80  fp = 0xffff000000010000

panic() at do_el1h_sync+0x198
	 pc = 0xffff00000040928c  lr = 0xffff00000075565c
	 sp = 0xffff000000010010  fp = 0xffff000000010040

do_el1h_sync() at handle_el1h_sync+0x78
	 pc = 0xffff00000075565c  lr = 0xffff00000073b078
	 sp = 0xffff000000010050  fp = 0xffff000000010160

handle_el1h_sync() at AcpiExSystemMemorySpaceHandler+0x100
	 pc = 0xffff00000073b078  lr = 0xffff00000005c45c
	 sp = 0xffff000000010170  fp = 0xffff000000010230

AcpiExSystemMemorySpaceHandler() at AcpiEvAddressSpaceDispatch+0x1e8
	 pc = 0xffff00000005c45c  lr = 0xffff00000005656c
	 sp = 0xffff000000010240  fp = 0xffff0000000102a0

AcpiEvAddressSpaceDispatch() at AcpiExAccessRegion+0xa0
	 pc = 0xffff00000005656c  lr = 0xffff0000000591e8
	 sp = 0xffff0000000102b0  fp = 0xffff0000000102f0

AcpiExAccessRegion() at AcpiExFieldDatumIo+0xf8
	 pc = 0xffff0000000591e8  lr = 0xffff000000059588
	 sp = 0xffff000000010300  fp = 0xffff000000010330

AcpiExFieldDatumIo() at AcpiExExtractFromField+0xd8
	 pc = 0xffff000000059588  lr = 0xffff000000059718
	 sp = 0xffff000000010340  fp = 0xffff0000000103b0

AcpiExExtractFromField() at AcpiExReadDataFromField+0x154
	 pc = 0xffff000000059718  lr = 0xffff000000058f48
	 sp = 0xffff0000000103c0  fp = 0xffff0000000103f0

AcpiExReadDataFromField() at AcpiExResolveNodeToValue+0x124
	 pc = 0xffff000000058f48  lr = 0xffff00000005c79c
	 sp = 0xffff000000010400  fp = 0xffff000000010430

AcpiExResolveNodeToValue() at AcpiExResolveToValue+0x214
	 pc = 0xffff00000005c79c  lr = 0xffff00000005cb1c
	 sp = 0xffff000000010440  fp = 0xffff000000010470

AcpiExResolveToValue() at AcpiDsEvaluateNamePath+0x70
	 pc = 0xffff00000005cb1c  lr = 0xffff000000054004
	 sp = 0xffff000000010480  fp = 0xffff0000000104b0

AcpiDsEvaluateNamePath() at AcpiDsExecEndOp+0x7c
	 pc = 0xffff000000054004  lr = 0xffff0000000543d8
	 sp = 0xffff0000000104c0  fp = 0xffff0000000104e0

AcpiDsExecEndOp() at AcpiPsParseLoop+0x3ac
	 pc = 0xffff0000000543d8  lr = 0xffff000000066de4
	 sp = 0xffff0000000104f0  fp = 0xffff000000010550

AcpiPsParseLoop() at AcpiPsParseAml+0xfc
	 pc = 0xffff000000066de4  lr = 0xffff000000067ca8
	 sp = 0xffff000000010560  fp = 0xffff0000000105b0

AcpiPsParseAml() at AcpiPsExecuteMethod+0x134
	 pc = 0xffff000000067ca8  lr = 0xffff00000006862c
	 sp = 0xffff0000000105c0  fp = 0xffff0000000105e0

AcpiPsExecuteMethod() at AcpiNsEvaluate+0x1dc
	 pc = 0xffff00000006862c  lr = 0xffff000000060f94
	 sp = 0xffff0000000105f0 
AcpiNsEvaluate() at AcpiNsInitOneDevice+0xf0
	 pc = 0xffff000000060f94  lr = 0xffff00000006159c
	 sp = 0xffff000000010620  fp = 0xffff000000010640

AcpiNsInitOneDevice() at AcpiNsWalkNamespace+0x128
	 pc = 0xffff00000006159c  lr = 0xffff000000064bf8
	 sp = 0xffff000000010650  fp = 0xffff0000000106c0

AcpiNsWalkNamespace() at AcpiNsInitializeDevices+0x58
	 pc = 0xffff000000064bf8  lr = 0xffff0000000612cc
	 sp = 0xffff0000000106d0  fp = 0xffff000000010710

AcpiNsInitializeDevices() at AcpiInitializeObjects+0x10
	 pc = 0xffff0000000612cc  lr = 0xffff000000073234
	 sp = 0xffff000000010720  fp = 0xffff000000010720

AcpiInitializeObjects() at acpi_attach+0x2c0
	 pc = 0xffff000000073234  lr = 0xffff00000010f594
	 sp = 0xffff000000010730  fp = 0xffff0000000107d0

acpi_attach() at device_attach+0x3d8
	 pc = 0xffff00000010f594  lr = 0xffff00000043e3bc
	 sp = 0xffff0000000107e0  fp = 0xffff000000010840

device_attach() at device_probe_and_attach+0x7c
	 pc = 0xffff00000043e3bc  lr = 0xffff00000043df4c
	 sp = 0xffff000000010850  fp = 0xffff000000010870

device_probe_and_attach() at bus_generic_new_pass+0xf8
	 pc = 0xffff00000043df4c  lr = 0xffff00000044008c
	 sp = 0xffff000000010880  fp = 0xffff0000000108b0

bus_generic_new_pass() at bus_generic_new_pass+0xa8
	 pc = 0xffff00000044008c  lr = 0xffff00000044003c
	 sp = 0xffff0000000108c0  fp = 0xffff0000000108f0

bus_generic_new_pass() at bus_set_pass+0x4c
	 pc = 0xffff00000044003c  lr = 0xffff00000043b940
	 sp = 0xffff000000010900  fp = 0xffff000000010930

bus_set_pass() at mi_startup+0x12c
	 pc = 0xffff00000043b940  lr = 0xffff0000003a1450
	 sp = 0xffff000000010940  fp = 0xffff0000000109a0

mi_startup() at virtdone+0x58
	 pc = 0xffff0000003a1450  lr = 0xffff000000001088
	 sp = 0xffff0000000109b0  fp = 0x0000000000000000

KDB: enter: panic
[ thread pid 0 tid 100000 ]
Stopped at      AcpiExSystemMemorySpaceHandler+0x1e0:   ldr     w8, [x8, x9]
db>
Comment 1 Dave Cottlehuber freebsd_committer 2020-01-22 11:24:49 UTC
thread bt

db> bt
Tracing pid 0 tid 100000 td 0xffff0000011b4480
db_trace_self() at db_stack_trace+0xf8
         pc = 0xffff000000738d4c  lr = 0xffff000000103c58
         sp = 0xffff00000000f870  fp = 0xffff00000000f8a0

db_stack_trace() at db_command+0x228
         pc = 0xffff000000103c58  lr = 0xffff0000001038d0
         sp = 0xffff00000000f8b0  fp = 0xffff00000000f990

db_command() at db_command_loop+0x58
         pc = 0xffff0000001038d0  lr = 0xffff000000103678
         sp = 0xffff00000000f9a0  fp = 0xffff00000000f9c0

db_command_loop() at db_trap+0xf4
         pc = 0xffff000000103678  lr = 0xffff00000010697c
         sp = 0xffff00000000f9d0  fp = 0xffff00000000fbf0

db_trap() at kdb_trap+0x1d8
         pc = 0xffff00000010697c  lr = 0xffff000000450950
         sp = 0xffff00000000fc00  fp = 0xffff00000000fcb0
        
kdb_trap() at do_el1h_sync+0xf4
         pc = 0xffff000000450950  lr = 0xffff0000007555b8
         sp = 0xffff00000000fcc0  fp = 0xffff00000000fcf0

do_el1h_sync() at handle_el1h_sync+0x78
         pc = 0xffff0000007555b8  lr = 0xffff00000073b078
         sp = 0xffff00000000fd00  fp = 0xffff00000000fe10

handle_el1h_sync() at kdb_enter+0x34
         pc = 0xffff00000073b078  lr = 0xffff00000044ff9c
         sp = 0xffff00000000fe20  fp = 0xffff00000000feb0

kdb_enter() at vpanic+0x1b0
         pc = 0xffff00000044ff9c  lr = 0xffff000000409500
         sp = 0xffff00000000fec0  fp = 0xffff00000000ff70

vpanic() at panic+0x44
         pc = 0xffff000000409500  lr = 0xffff00000040928c
         sp = 0xffff00000000ff80  fp = 0xffff000000010000
        
panic() at do_el1h_sync+0x198
         pc = 0xffff00000040928c  lr = 0xffff00000075565c
         sp = 0xffff000000010010  fp = 0xffff000000010040

do_el1h_sync() at handle_el1h_sync+0x78
         pc = 0xffff00000075565c  lr = 0xffff00000073b078
         sp = 0xffff000000010050  fp = 0xffff000000010160

handle_el1h_sync() at AcpiExSystemMemorySpaceHandler+0x100
         pc = 0xffff00000073b078  lr = 0xffff00000005c45c
         sp = 0xffff000000010170  fp = 0xffff000000010230

AcpiExSystemMemorySpaceHandler() at AcpiEvAddressSpaceDispatch+0x1e8
         pc = 0xffff00000005c45c  lr = 0xffff00000005656c
         sp = 0xffff000000010240  fp = 0xffff0000000102a0

AcpiEvAddressSpaceDispatch() at AcpiExAccessRegion+0xa0
         pc = 0xffff00000005656c  lr = 0xffff0000000591e8
         sp = 0xffff0000000102b0  fp = 0xffff0000000102f0
        
AcpiExAccessRegion() at AcpiExFieldDatumIo+0xf8
         pc = 0xffff0000000591e8  lr = 0xffff000000059588
         sp = 0xffff000000010300  fp = 0xffff000000010330

AcpiExFieldDatumIo() at AcpiExExtractFromField+0xd8
         pc = 0xffff000000059588  lr = 0xffff000000059718
         sp = 0xffff000000010340  fp = 0xffff0000000103b0

AcpiExExtractFromField() at AcpiExReadDataFromField+0x154
         pc = 0xffff000000059718  lr = 0xffff000000058f48
         sp = 0xffff0000000103c0  fp = 0xffff0000000103f0

AcpiExReadDataFromField() at AcpiExResolveNodeToValue+0x124
         pc = 0xffff000000058f48  lr = 0xffff00000005c79c
         sp = 0xffff000000010400  fp = 0xffff000000010430

AcpiExResolveNodeToValue() at AcpiExResolveToValue+0x214
         pc = 0xffff00000005c79c  lr = 0xffff00000005cb1c
         sp = 0xffff000000010440  fp = 0xffff000000010470
        
AcpiExResolveToValue() at AcpiDsEvaluateNamePath+0x70
         pc = 0xffff00000005cb1c  lr = 0xffff000000054004
         sp = 0xffff000000010480  fp = 0xffff0000000104b0

AcpiDsEvaluateNamePath() at AcpiDsExecEndOp+0x7c
         pc = 0xffff000000054004  lr = 0xffff0000000543d8
         sp = 0xffff0000000104c0  fp = 0xffff0000000104e0

AcpiDsExecEndOp() at AcpiPsParseLoop+0x3ac
         pc = 0xffff0000000543d8  lr = 0xffff000000066de4
         sp = 0xffff0000000104f0  fp = 0xffff000000010550

AcpiPsParseLoop() at AcpiPsParseAml+0xfc
         pc = 0xffff000000066de4  lr = 0xffff000000067ca8
         sp = 0xffff000000010560  fp = 0xffff0000000105b0

AcpiPsParseAml() at AcpiPsExecuteMethod+0x134
         pc = 0xffff000000067ca8  lr = 0xffff00000006862c
         sp = 0xffff0000000105c0  fp = 0xffff0000000105e0
        
AcpiPsExecuteMethod() at AcpiNsEvaluate+0x1dc
         pc = 0xffff00000006862c  lr = 0xffff000000060f94
         sp = 0xffff0000000105f0  fp = 0xffff000000010610

AcpiNsEvaluate() at AcpiNsInitOneDevice+0xf0
         pc = 0xffff000000060f94  lr = 0xffff00000006159c
         sp = 0xffff000000010620  fp = 0xffff000000010640

AcpiNsInitOneDevice() at AcpiNsWalkNamespace+0x128
         pc = 0xffff00000006159c  lr = 0xffff000000064bf8
         sp = 0xffff000000010650  fp = 0xffff0000000106c0

AcpiNsWalkNamespace() at AcpiNsInitializeDevices+0x58
         pc = 0xffff000000064bf8  lr = 0xffff0000000612cc
         sp = 0xffff0000000106d0  fp = 0xffff000000010710

AcpiNsInitializeDevices() at AcpiInitializeObjects+0x10
         pc = 0xffff0000000612cc  lr = 0xffff000000073234
         sp = 0xffff000000010720  fp = 0xffff000000010720
        
AcpiInitializeObjects() at acpi_attach+0x2c0
         pc = 0xffff000000073234  lr = 0xffff00000010f594
         sp = 0xffff000000010730  fp = 0xffff0000000107d0

acpi_attach() at device_attach+0x3d8
         pc = 0xffff00000010f594  lr = 0xffff00000043e3bc
         sp = 0xffff0000000107e0  fp = 0xffff000000010840

device_attach() at device_probe_and_attach+0x7c
         pc = 0xffff00000043e3bc  lr = 0xffff00000043df4c
         sp = 0xffff000000010850  fp = 0xffff000000010870

device_probe_and_attach() at bus_generic_new_pass+0xf8
         pc = 0xffff00000043df4c  lr = 0xffff00000044008c
         sp = 0xffff000000010880  fp = 0xffff0000000108b0

bus_generic_new_         pc = 0xffff00000044008c  lr = 0xffff00000044003c
         sp = 0xffff0000000108c0  fp = 0xffff0000000108f0
        
bus_generic_new_pass() at bus_set_pass+0x4c
         pc = 0xffff00000044003c  lr = 0xffff00000043b940
         sp = 0xffff000000010900  fp = 0xffff000000010930

bus_set_pass() at mi_startup+0x12c
         pc = 0xffff00000043b940  lr = 0xffff0000003a1450
         sp = 0xffff000000010940  fp = 0xffff0000000109a0

mi_startup() at virtdone+0x58
         pc = 0xffff0000003a1450  lr = 0xffff000000001088
         sp = 0xffff0000000109b0  fp = 0x0000000000000000
Comment 2 John F. Carr 2020-01-22 13:22:30 UTC
I am running the same kernel (FreeBSD 13.0-CURRENT #0 r356767: Thu Jan 16 04:25:34 UTC 2020 root@releng1.nyi.freebsd.org:/usr/obj/usr/src/arm64.aarch64/sys/GENERIC arm64) also on an Ampere 32 core.  No problem for me.  One difference is I did not load the mlx5en driver at boot.   A Mellanox card is present but I am using igb ethernet.

Here is the fragment from my dmesg output where the bug report shows mlx5en loaded followed by a crash.

Starting CPU 31 (f01)
FreeBSD/SMP: Multiprocessor System Detected: 32 CPUs
random: unblocking device.
random: entropy device external interface
ACPI: IORT: Dropping unhandled type 1
ACPI: IORT: Dropping unhandled type 1
ACPI: IORT: Dropping unhandled type 1
ACPI: IORT: Dropping unhandled type 1
MAP 92000000 mode 2 pages 2304
MAP fffc0000 mode 2 pages 64
MAP 9ff5a60000 mode 2 pages 9120
MAP 9ff7e00000 mode 2 pages 512
MAP 10540000 mode 0 pages 16
WARNING: Device "kbd" is Giant locked and may be deleted before FreeBSD 13.0.
kbd0 at kbdmux0
WARNING: Device "openfirm" is Giant locked and may be deleted before FreeBSD 13.0.
efirtc0: <EFI Realtime Clock>
efirtc0: registered as a time-of-day clock, resolution 1.000000s
acpi0: <ALASKA A M I >
acpi0: Power Button (fixed)
acpi0: Sleep Button (fixed)
psci0: <ARM Power State Co-ordination Interface Driver> on acpi0
gic0: <ARM Generic Interrupt Controller v3.0> iomem 0x78000000-0x7801ffff,0x78400000-0x78
7fffff on acpi0
its0: <ARM GIC Interrupt Translation Service> on gic0
generic_timer0: <ARM Generic Timer> irq 11,12,13 on acpi0
Timecounter "ARM MPCore Timecounter" frequency 40000000 Hz quality 1000
Event timer "ARM MPCore Eventtimer" frequency 40000000 Hz quality 1000
ahci0: <AHCI SATA controller> iomem 0x1c000000-0x1c000fff irq 3 on acpi0
Comment 3 John F. Carr 2020-01-22 13:44:58 UTC
In case this depends on hardware configuration, here is pciconf -lv output for my working system.  It also booted fine with root on USB before I installed the current NVME root.

pcib1@pci0:0:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1def device=0xe005 subvendor=0x0000 subdevice=0x0000
    vendor     = 'Ampere Computing, LLC'
    device     = 'eMAG PCI Express Root Port 0'
    class      = bridge
    subclass   = PCI-PCI
none0@pci0:1:0:0:	class=0x020000 rev=0x00 hdr=0x00 vendor=0x15b3 device=0x1015 subvendor=0x15b3 subdevice=0x0057
    vendor     = 'Mellanox Technologies'
    device     = 'MT27710 Family [ConnectX-4 Lx]'
    class      = network
    subclass   = ethernet
none1@pci0:1:0:1:	class=0x020000 rev=0x00 hdr=0x00 vendor=0x15b3 device=0x1015 subvendor=0x15b3 subdevice=0x0057
    vendor     = 'Mellanox Technologies'
    device     = 'MT27710 Family [ConnectX-4 Lx]'
    class      = network
    subclass   = ethernet
pcib3@pci2:0:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1def device=0xe007 subvendor=0x0000 subdevice=0x0000
    vendor     = 'Ampere Computing, LLC'
    device     = 'eMAG PCI Express Root Port 2'
    class      = bridge
    subclass   = PCI-PCI
igb0@pci2:1:0:0:	class=0x020000 rev=0x03 hdr=0x00 vendor=0x8086 device=0x1533 subvendor=0x8086 subdevice=0x0001
    vendor     = 'Intel Corporation'
    device     = 'I210 Gigabit Network Connection'
    class      = network
    subclass   = ethernet
pcib5@pci3:0:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1def device=0xe008 subvendor=0x0000 subdevice=0x0000
    vendor     = 'Ampere Computing, LLC'
    device     = 'eMAG PCI Express Root Port 3'
    class      = bridge
    subclass   = PCI-PCI
pcib7@pci4:0:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1def device=0xe009 subvendor=0x0000 subdevice=0x0000
    vendor     = 'Ampere Computing, LLC'
    device     = 'eMAG PCI Express Root Port 4'
    class      = bridge
    subclass   = PCI-PCI
pcib9@pci5:0:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1def device=0xe00a subvendor=0x0000 subdevice=0x0000
    vendor     = 'Ampere Computing, LLC'
    device     = 'eMAG PCI Express Root Port 5'
    class      = bridge
    subclass   = PCI-PCI
pcib11@pci6:0:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1def device=0xe00b subvendor=0x0000 subdevice=0x0000
    vendor     = 'Ampere Computing, LLC'
    device     = 'eMAG PCI Express Root Port 6'
    class      = bridge
    subclass   = PCI-PCI
nvme0@pci6:1:0:0:	class=0x010802 rev=0x01 hdr=0x00 vendor=0x1bb1 device=0x5012 subvendor=0x1bb1 subdevice=0x5012
    vendor     = 'Seagate Technology PLC'
    class      = mass storage
    subclass   = NVM
pcib13@pci7:0:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1def device=0xe00c subvendor=0x0000 subdevice=0x0000
    vendor     = 'Ampere Computing, LLC'
    device     = 'eMAG PCI Express Root Port 7'
    class      = bridge
    subclass   = PCI-PCI
pcib14@pci7:1:0:0:	class=0x060400 rev=0x04 hdr=0x01 vendor=0x1a03 device=0x1150 subvendor=0x1a03 subdevice=0x1150
    vendor     = 'ASPEED Technology, Inc.'
    device     = 'AST1150 PCI-to-PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
vgapci0@pci7:2:0:0:	class=0x030000 rev=0x41 hdr=0x00 vendor=0x1a03 device=0x2000 subvendor=0x1a03 subdevice=0x2000
    vendor     = 'ASPEED Technology, Inc.'
    device     = 'ASPEED Graphics Family'
    class      = display
    subclass   = VGA
Comment 4 Dave Cottlehuber freebsd_committer 2020-01-22 14:57:33 UTC
- reported in irc also by diizy & tuexen
- tuexen says latest CURRENT r356984? works again
Comment 5 Dave Cottlehuber freebsd_committer 2020-01-23 06:34:14 UTC
r356984 & updating to latest 1.12 ampere firmware package works (aka BIOS 1.11)
allows FreeBSD to come back up again. Thanks Michael Tuexen & Scott Burns for
info & patching.
Comment 6 John F. Carr 2020-01-24 18:03:02 UTC
My working system already had BIOS 1.11 and firmware 1.12.

Based on the offset in the stack trace the crash appears to be in AcpiOsMapMemory.